EMF::EMRPOLYPOLYGON Class Reference

EMF Poly Polygon. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRPOLYPOLYGON:

## Public Member Functions

| EMRPOLYPOLYGON (const RECTL *bounds, const POINT *points, const INT *counts, UINT polygons)
| ~EMRPOLYPOLYGON ()
| EMRPOLYPOLYGON (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Poly Polygon.

Draw several filled polygons.

## Constructor & Destructor Documentation

## EMRPOLYPOLYGON() [1/2]

EMF::EMRPOLYPOLYGON::EMRPOLYPOLYGON | ( | const RECTL * | bounds,
|  | const POINT * | points,
|  | const INT * | counts,
|  | UINT | polygons )

inline

Parameters

  bounds | overall bounding box of polygon.
  points | array of polygon vertices.
  counts | array of number of vertices in each polygon.
  polygons | number of polygons.

References EMRPOLYPOLYGON().

Referenced by EMRPOLYPOLYGON(), and EMRPOLYPOLYGON().

## ~EMRPOLYPOLYGON()

EMF::EMRPOLYPOLYGON::~EMRPOLYPOLYGON | ( |  | ) |

inline

Destructor frees a copy of the counts and points it buffered.

## EMRPOLYPOLYGON() [2/2]

EMF::EMRPOLYPOLYGON::EMRPOLYPOLYGON | ( | DATASTREAM & | ds | ) |

inline

Construct a Polygon record from the input stream.

Parameters

  ds | Metafile datastream.

References EMRPOLYPOLYGON().

## Member Function Documentation

## execute()

void EMF::EMRPOLYPOLYGON::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRPOLYPOLYGON::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRPOLYPOLYGON::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h